local drawableSprite = require("structs.drawable_sprite")
local obj = {}

obj.name = "ArphimigonHelper/Collectible"
obj.depth = 150
obj.justification = {0.5, 0.5}

obj.placements = {
    name = "Collectible",
    data = {
        groupName = "group_name",
        spritePath = "decals/10-farewell/creature_f00",
        identifier = "identifier",
        sfx = "null",
        bobspin = true
    }
}

function obj.sprite(room, entity)
    return { drawableSprite.fromTexture(entity.spritePath, entity) }
end

return obj
